package com.eclipsetotale;

import java.text.SimpleDateFormat;
import java.util.Date;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

public class ContextListenerImpl implements ServletContextListener {

	 private static final SimpleDateFormat DATE_FORMAT =
	            new SimpleDateFormat("EEE MMM dd HH:mm:ss zzz yyyy");
	 
	@Override
	public void contextInitialized(final ServletContextEvent sce) {
		ServletContext context = sce.getServletContext();
		context.setAttribute("initDate", DATE_FORMAT.format(new Date()));
	}

	@Override
	public void contextDestroyed(final ServletContextEvent sce) {
		// no implementation
	}
}
